Unable to update to PHPStorm 2016.1 or 2016.2

Answered

 I am still using PHPStorm 10.0.1 because I have been unable to upgrade to the 2016 versions. My license is valid until November, 2016, and my Mac exceeds all specifications.

After launching either 2016.1 or 2016.2 PHPStorm hangs on the splash screen. The progress bar goes all the way to the end, then it hangs. I have to force quit the application.

Please let me know what can be done about this.

7 comments
Comment actions Permalink

Hello Mike,

Could you tell me, what OS are you running, please?

0
Comment actions Permalink

El Capitan 10.11.5

1
Comment actions Permalink

Could you please attach/upload idea.log file (~/Library/Logs/PhpStorm2016.2)?

0
Comment actions Permalink

I'm sorry. I could find no way to attach the file to this comment. Is there an email address I could use?

0
Comment actions Permalink

Yes, please email to <edited>

0
Comment actions Permalink

Thanks, got it.

0
Comment actions Permalink

Please try to delete following 3rd party plugins: Assets Compressor (1.2.1), Compare Directories (1.1.2), Copy/Paste Stack (1.1.5), Finder Info (1.0.2), JS Toolbox (1.9), eSnippet Pro plugin (1.4.3) 

Their corresponding folders should be located at ~/Library/Application Support/PhpStorm2016.2 folder.

Most of them were not updated for more than a year and they might be blocking a launch. Logs are showing that at least Compare Directories plugin is throwing errors at launch

 

0

Please sign in to leave a comment.